(function($, Drupal) {
  'user strict';
 
  Drupal.behaviors.accordion = {
    attach: function (context) {
      $('.main-accordion', context).each(function () {
        var _this = $(this);
       
        // Ensure accordion titles are focusable
        _this.find('.field--name-field-title').attr('tabindex', '0');
 
        // Click event handler
        _this.off('click').on('click', '.field--name-field-title', function (event) {
          toggleAccordion(_this, event);
        });
 
        // Keydown event handler for keyboard navigation
        _this.off('keydown').on('keydown', '.field--name-field-title', function (event) {
          if (event.keyCode === 13 || event.keyCode === 32) { // Enter or Space key
            toggleAccordion(_this, event);
          }
        });
 
        function toggleAccordion(accordionElement, event) {
          event.preventDefault(); // Prevent default action
          event.stopPropagation(); // Stop event propagation
 
          var parentAccordion = accordionElement.closest('.field--name-field-nttdata-theme-accord-items');
          var allAccordions = parentAccordion.find('.main-accordion');
 
          // Close all other accordions within the same parent
          allAccordions.each(function () {
            if (!$(this).is(accordionElement)) {
              $(this).find('.field--name-field-title.open').removeClass('open');
              $(this).find('.container-description.open').removeClass('open').slideUp(500);
            }
          });
 
          // Toggle current accordion
          accordionElement.find('.field--name-field-title').toggleClass('open');
          accordionElement.find('.container-description').toggleClass('open').slideToggle(500);
        }
      });
    }
  };
 
 
 
})(jQuery, Drupal);