(function ($, Drupal) {
  Drupal.behaviors.slideSlicktest = {
    attach: function (context, settings) {
      var sliderItems = $(
        ".slider .field--name-field-nttdata-theme-slider-items"
      );

      // Only initialize slick if elements are found
      if (sliderItems.length) {
        sliderItems.each(function () {
          var _this = $(this);

          _this.on("init", function () {
            setTimeout(function () {
              _this.css("visibility", "visible");
            }, 0);
          });

          // Check if Slick is already initialized
          if (!_this.hasClass("slick-initialized")) {
            var sliderFooter = _this
              .closest(".slider")
              .find(".container-slider-footer");
            var prevArrow = sliderFooter.find(".prev");
            var nextArrow = sliderFooter.find(".next");
            var dotsContainer = sliderFooter.find(".dots-container");

            // Initialize slick slider with scoped arrows and dots
            _this.slick({
              slidesToShow: 1,
              infinite: false,
              slidesToScroll: 1,
              adaptiveHeight: true,
              fade: true,
              // autoplay: true,
              // speed: 500,
              // cssEase: "linear",
              dots: true,
              arrows: true,
              prevArrow: prevArrow.length ? prevArrow : null,
              nextArrow: nextArrow.length ? nextArrow : null,
              appendDots: dotsContainer.length ? dotsContainer : null,
            });
            // Custom event listener for accordion expansion
            $(".accordion .field--name-field-title").on("click", function (e) {
              // Wait for the animation to complete before refreshing
              setTimeout(function () {
                _this.slick("setPosition");
                $(".slick-slider").slick("refresh");
              }, 300); // Adjust timeout duration based on accordion animation duration
            });
          }
        });
      }
    },
  };
})(jQuery, Drupal);
